TelepathyQt4: Tp::RoomListChannel Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::RoomListChannel Class Reference
[Channel proxies]

`#include <TelepathyQt4/RoomListChannel>`

Inherits Tp::Channel.

List of all members.

## Public Member Functions

- virtual ~RoomListChannel ()

## Static Public Member Functions

- static RoomListChannelPtr create (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Protected Member Functions

- RoomListChannel (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Detailed Description

High-level proxy object for accessing remote Channel objects of the RoomList channel type.

This subclass of Channel will eventually provide a high-level API for the RoomList interface. Until then, it's just a Channel.

## Constructor & Destructor Documentation

Tp::RoomListChannel::~RoomListChannel | ( |  | ) | `[virtual]`

Class destructor.

Tp::RoomListChannel::RoomListChannel | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | `[protected]`

Creates a RoomListChannel associated with the given object on the same service as the given connection.

Parameters:

  | connection | Connection owning this RoomListChannel, and specifying the service.
  | objectPath | Path to the object on the service.
  | immutableProperties | The immutable properties of the channel, as signalled by NewChannels or returned by CreateChannel or EnsureChannel

## Member Function Documentation

RoomListChannelPtr Tp::RoomListChannel::create | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | `[static]`

Create a new Channel object.

Parameters:

  | connection | Connection owning this channel, and specifying the service.
  | objectPath | The object path of this channel.
  | immutableProperties | The immutable properties of this channel.

Returns:
  A ChannelPtr object pointing to the newly created Channel object.

Reimplemented from Tp::Channel.